Cyberduck Mountain Duck CLI

#7266 closed defect (duplicate)

webdav was broken in cyberduck v4.3.1

Reported by: zeratul1986 Owned by: dkocher
Priority: high Milestone: 4.4
Component: webdav Version: 4.3.1
Severity: normal Keywords: webdav
Cc: Architecture: Intel
Platform: Windows 7

Description

webdav was broken in v4.3.1

I have tried the webdav testing server http://test.webdav.org/

both http://test.webdav.org/auth-basic/ and http://test.webdav.org/auth-digest/ returned a Not Found error.

Change History (5)

comment:1 Changed on May 24, 2013 at 7:50:19 AM by dkocher

  • Milestone set to 4.3.2

The server is misconfigured as that it does erroneously return a 404 for HEAD requests. The RFC says

The HEAD method is identical to GET except that the server MUST NOT return a message-body in the response. The metainformation contained in the HTTP headers in response to a HEAD request SHOULD be identical to the information sent in response to a GET request. This method can be used for obtaining metainformation about the entity implied by the request without transferring the entity-body itself. This method is often used for testing hypertext links for validity, accessibility, and recent modification.

comment:2 Changed on May 24, 2013 at 7:50:51 AM by dkocher

  • Resolution set to thirdparty
  • Status changed from new to closed

comment:3 Changed on Jun 20, 2013 at 8:39:34 AM by dkocher

  • Resolution thirdparty deleted
  • Status changed from closed to reopened

Duplicate for #7227.

comment:4 Changed on Jun 20, 2013 at 8:39:40 AM by dkocher

  • Resolution set to duplicate
  • Status changed from reopened to closed

comment:5 Changed on Jun 20, 2013 at 9:03:57 AM by dkocher

Looks like the test server is returning a 404 also for PROPFIND requests. There is possibly a configuration issue.

yuksom:~ dkocher$ curl -vX PROPFIND http://test.webdav.org/dav/
* About to connect() to test.webdav.org port 80 (#0)
*   Trying 140.211.166.111...
* Adding handle: conn: 0x7fed68809000
* Adding handle: send: 0
* Adding handle: recv: 0
* Curl_addHandleToPipeline: length: 1
* - Conn 0 (0x7fed68809000) send_pipe: 1, recv_pipe: 0
* Connected to test.webdav.org (140.211.166.111) port 80 (#0)
> PROPFIND /dav/ HTTP/1.1
> User-Agent: curl/7.30.0
> Host: test.webdav.org
> Accept: */*
> 
< HTTP/1.1 404 Not Found
< Date: Thu, 20 Jun 2013 09:03:35 GMT
* Server Apache/2.0.54 (Debian GNU/Linux) DAV/2 SVN/1.3.2 is not blacklisted
< Server: Apache/2.0.54 (Debian GNU/Linux) DAV/2 SVN/1.3.2
< Content-Length: 202
< Content-Type: text/html; charset=iso-8859-1
< 
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>404 Not Found</title>
</head><body>
<h1>Not Found</h1>
<p>The requested URL /dav/ was not found on this server.</p>
</body></html>
* Connection #0 to host test.webdav.org left intact

Note: See TracTickets for help on using tickets.
swiss made software